Bug 136128 - Can't Open help page on function wizard structure(Calc)
Summary: Can't Open help page on function wizard structure(Calc)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Help-Link
  Show dependency treegraph
 
Reported: 2020-08-25 23:31 UTC by sawakaze
Modified: 2020-09-02 10:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screenshot on Function wizard Structure tab (29.83 KB, image/png)
2020-08-25 23:35 UTC, sawakaze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2020-08-25 23:31:50 UTC
Description:
following steps, help page was not opened.

Steps to Reproduce:
1. open calc
2. menu -> insert > Function...
--> launch "Function wizard" window
3. press "Structure" tab
4. press help button

Actual Results:
help page was not opened

Help ID: formula/ui/structpage/StructPage

Expected Results:
help page is opened


Reproducible: Always


User Profile Reset: No



Additional Info:
I can confirm following version.

Version: 7.1.0.0.alpha0+
Build ID: 4d6aeea85c87c7b4ea3227d03982988d6e4c87c4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-08-23_02:37:39
Calc: threaded

---------------------------------------------------------------

I "can't" confirm following version

Version: 6.2.3.0.0+
Build ID: 2358c867563731f56cefbf2a17818e69b15c2e66
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-03-16_01:33:35
Locale: ja-JP (ja_JP.UTF-8); UI-Language: en-US
Calc: threaded

Then, open help page is 

https://help.libreoffice.org/6.2/en-US/text/scalc/01/04060000.html?System=UNIX&DbPAR=CALC&HID=formula/ui/structpage/struct#bm_id1185240
Comment 1 sawakaze 2020-08-25 23:35:46 UTC
Created attachment 164688 [details]
screenshot on Function wizard Structure tab

on this tab, press help button -> show "Could not find Help page (404)"
Comment 2 Ming Hua 2020-08-26 01:31:21 UTC
Reproduced with 7.0.0:
Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU 线程: 2; 操作系统: Windows 10.0 Build 18363; 界面渲染: Skia/点阵; VCL: win
Locale: zh-CN (zh_CN); 界面: zh-CN
Calc: threaded
Comment 3 Commit Notification 2020-09-02 10:29:20 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/9b4d79db1497d243ede9d4d38eeb9431bf6b6cfe

tdf#136128 Add bookmark for calc formula struct